Package org.apache.cayenne.access.translator.batch.legacy

## Class UpdateBatchTranslator

- java.lang.Object
- - org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslator
  - - org.apache.cayenne.access.translator.batch.legacy.UpdateBatchTranslator

- All Implemented Interfaces:
    `BatchTranslator`

      @Deprecated
      public class UpdateBatchTranslator
      extends DefaultBatchTranslator

  Deprecated.
  since 4.2
  A translator for UpdateBatchQueries that produces parameterized SQL.

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslator

      `adapter, bindings, query, sql, translated, trimFunction`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UpdateBatchTranslator​(UpdateBatchQuery query, DbAdapter adapter, String trimFunction)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected DbAttributeBinding[]` | `createBindings()` | Deprecated.
    `protected String` | `createSql()` | Deprecated.
    `protected DbAttributeBinding[]` | `doUpdateBindings​(BatchQueryRow row)` | Deprecated.

    - ### Methods inherited from class org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslator

      `appendDbAttribute, ensureTranslated, getBindings, getSql, updateBindings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateBatchTranslator

          public UpdateBatchTranslator​(UpdateBatchQuery query,
                                       DbAdapter adapter,
                                       String trimFunction)

      Deprecated.

  - ### Method Detail

    - #### createSql

          protected String createSql()

      Deprecated.
      Specified by:
        `createSql` in class `DefaultBatchTranslator`

    - #### createBindings

          protected DbAttributeBinding[] createBindings()

      Deprecated.
      Specified by:
        `createBindings` in class `DefaultBatchTranslator`

    - #### doUpdateBindings

          protected DbAttributeBinding[] doUpdateBindings​(BatchQueryRow row)

      Deprecated.
      Specified by:
        `doUpdateBindings` in class `DefaultBatchTranslator`